PATCH
/
v1
/
proposals
/
{id}
Update proposal metadata
curl --request PATCH \
--url https://api.propal.io/v1/proposals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"slug": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"password": "<string>",
"proposal_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_payment": true,
"allow_client_to_sign": true,
"allow_client_to_download_pdf": true,
"allow_client_to_deny": true
}
'import requests
url = "https://api.propal.io/v1/proposals/{id}"
payload = {
"title": "<string>",
"slug": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"password": "<string>",
"proposal_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_payment": True,
"allow_client_to_sign": True,
"allow_client_to_download_pdf": True,
"allow_client_to_deny": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
slug: '<string>',
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
theme_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
password: '<string>',
proposal_product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allow_payment: true,
allow_client_to_sign: true,
allow_client_to_download_pdf: true,
allow_client_to_deny: true
})
};
fetch('https://api.propal.io/v1/proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx
Path Parameters
Proposal UUID
Body
application/json
Available options:
fr, en UUID of an existing proposal_products row to attach. Pass null to detach.
Response
Proposal updated
Was this page helpful?
⌘I
Update proposal metadata
